DELETE/v1/customers/{external_id}/device-sessions/{session_id}
End device session
Needs usage:write.
curl -X DELETE 'https://api.entitler.co/v1/customers/ada/device-sessions/<session_id>' \
-H "Authorization: Bearer $ENTITLER_KEY"Credentials
Send any one of these:
- Bearer token
Path parameters
| Name | Type | Description |
|---|---|---|
external_idrequired | string | The customer's external ID, or me for the customer a customer token or identity token names. |
session_idrequired | string |
Query parameters
| Name | Type | Description |
|---|---|---|
target.team_id | string | |
target.project_id | string | |
target.environment_id | string |
Responses
200The EndDeviceSessionResponse message.
EndDeviceSessionResponse
endReasonSessionEndReasonrequiredOne of
SESSION_END_REASON_UNSPECIFIED,SESSION_END_REASON_ENDED,SESSION_END_REASON_EXPIRED,SESSION_END_REASON_RESTARTED,SESSION_END_REASON_REPLACED,SESSION_END_REASON_SIGNED_OUT,SESSION_END_REASON_NOT_ENTITLED.endedAtintegerrequiredat least 0; at most 18446744073709552000
sessionDeviceSessiondeviceIdstringrequiredexpiresAtintegerrequiredat least 0; at most 18446744073709552000
idstringrequiredleaseSecondsinteger (int64)requiredat least 0; at most 4294967295
startedAtintegerrequiredat least 0; at most 18446744073709552000
ErrorA refusal, with the HTTP status of its gRPC code.
Error
errorobjectrequiredcodestringrequiredparametersobjectrequiredEach value: string
reasonstringor nullrequired